﻿var serialOpen = false;

function SerialOpen(port, baudrate)
{
	xmlhttp.open("GET", "/serial/open?port=" + port + "&baudrate=" + baudrate, false);
	xmlhttp.send();
	if (xmlhttp.status != 200) {
		alert(xmlhttp.responseText);
		return false;
	} else {
		serialOpen = true;
		return true;
	}
}

function SerialClose()
{
	serialOpen = false;
	xmlhttp.open("GET", "/serial/close", false);
	xmlhttp.send();
}

function SerialWrite(str, response, timeout)
{
	var url = "/serial/write";
	if (response) {
	    url += "?response=" + response;
	    if (timeout) url += "&timeout=" + timeout;
	}
	xmlhttp.open("POST", url, false);
	xmlhttp.send(str);
	if (response) {
		return xmlhttp.status == 200 ? xmlhttp.responseText : null;
	} else {
		return xmlhttp.status == 200;
	}
}

function SerialRead(timeout)
{
	var url = "/serial/read?eos=%0D";
	if (timeout) url += "&timeout=" + timeout;
    xmlhttp.open("GET", url, false);
    xmlhttp.send();
    return xmlhttp.responseText;
}
